OrderTransaction

Get integration mapping types for the order transaction

get

Get integration mapping types for the order transaction

Authorizations
AuthorizationstringRequired
Responses
chevron-right
200

Integration mapping types successfully retrieved

application/json

Type of integration mapping

itemsstring · enumOptional

Type of integration mapping

Example: webPossible values:
get
/api/v1/order_transactions/get_integration_mapping_types/

Get mappings for the order transaction

get

Get mappings for the order transaction with the specified ID

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
chevron-right
200

Order transaction mappings successfully retrieved

application/json
get
/api/v1/order_transactions/{id}/get_mappings/

Retrieve order transaction

get

Retrieve a specific order transaction by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
chevron-right
200

Order transaction retrieved successfully

application/json
pkintegerOptional

Primary key of the order transaction

uuidstring · uuidOptional

Unique identifier for the order transaction

amountnumber · decimalOptional

Amount of the order transaction

transaction_typestring · enumOptionalPossible values:
transaction_object_idintegerOptional

ID of the related transaction object

modified_datestring · date-timeOptional

Date and time the order transaction was last modified

created_datestring · date-timeOptional

Date and time the order transaction was created

get
/api/v1/order_transactions/{id}/

List order transactions

get

List all order transactions.

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
modified_datestring · date-timeOptional

Filter by modification date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: modified_date__lt=2024-01-01T00:00:00Z
uuidstringOptional

Filter by UUID.

Example: 123e4567-e89b-12d3-a456-426614174000
payment_optioninteger[]Optional

Filter by payment option IDs

amountnumber · decimalOptional

Filter by amount.

transaction_typestring · enumOptional

Filter by transaction type.

Example: purchasePossible values:
ordernumberOptional

Filter by order ID.

Example: 123
transaction_content_typestringOptional

Filter by content type of the transaction

Example: Order
transaction_object_idintegerOptional

Filter by object ID of the transaction

Example: 1
customer_idintegerOptional

Filter by customer ID.

Example: 123
related_ordertransactionstringOptional

Filter by related order transaction (exact match)

Example: 123e4567-e89b-12d3-a456-426614174000
related_cancellationplanstringOptional

Filter by related cancellation plan (exact match)

Example: 1
related_cancellation_plan__isnullbooleanOptional

Filter by related cancellation plan is null

Example: true
refund_payment_planstringOptional

Filter by refund payment plan (exact match)

Example: 1
pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

pk__gtstringOptional

Filter by primary key greater than a specific value.

pk__gteintegerOptional

Filters by primary key greater than or equal to the given value

pk__ltintegerOptional

Filters by primary key less than the given value

pk__lteintegerOptional

Filters by primary key less than or equal to the given value

channel_typestring · enumOptional

Type of the channel

Example: sales_channelPossible values:
related_cancellation_plan__plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
Responses
chevron-right
200

A list of order transactions.

application/json
countintegerOptional

Total number of results.

nextstring · uri · nullableOptional

URL of the next page of results.

previousstring · uri · nullableOptional

URL of the previous page of results.

get
/api/v1/order_transactions/

Create mapping object for the order transaction

post

Create a mapping object for the order transaction with the specified ID

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Body
Responses
chevron-right
200

Order transaction mapping object successfully created

application/json
post
/api/v1/order_transactions/{id}/create_mapping/

Get integration mapping types for the Cancellation Plan

get

Retrieve a list of integration mapping types associated with cancellation plans.

Authorizations
AuthorizationstringRequired
Responses
chevron-right
200

Integration mapping types successfully retrieved

application/json

Type of integration mapping

itemsstring · enumOptional

Type of integration mapping

Example: webPossible values:
get
/api/v1/cancellation_plans/get_integration_mapping_types/

Get mappings for the cancellation plan with the specified ID

get

Get mappings for the cancellation plan with the specified ID

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
chevron-right
200

Order transaction mappings successfully retrieved

application/json
get
/api/v1/cancellation_plans/{id}/get_mappings/

Create mapping object for the cancellation plan with the specified ID

post

Create mapping object for the cancellation plan with the specified ID

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Body
Responses
chevron-right
200

CancellationPlan mapping object successfully created

application/json
post
/api/v1/cancellation_plans/{id}/create_mapping/

Last updated

Was this helpful?